#ifndef MARS_MHNewImagePar
#define MARS_MHNewImagePar

#ifndef MARS_MH
#include "MH.h"
#endif

class TH1F;
class MHillas;

class MHNewImagePar : public MH
{
private:
    TH1F *fLeakage1;     //->
    TH1F *fLeakage2;     //->

public:
    MHNewImagePar(const char *name=NULL, const char *title=NULL);
    ~MHNewImagePar();

    Bool_t Fill(const MParContainer *par, Double_t w=1);

    TH1 *GetHistByName(const TString name);

    TH1F *GetHistLeakage1()         { return fLeakage1; }
    TH1F *GetHistLeakage2()         { return fLeakage2; }

    void Draw(Option_t *opt=NULL);

    ClassDef(MHNewImagePar, 1) // Histograms of new image parameters
};

#endif


